* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
.skt-9527-title {
  font-size: clamp(20px, 2.5vw, 40px);
  font-family: var(--kumbh-sans-bold);
}

.drop-down-menu {
  --item-padding: 15px 15px;
  min-width: 150px;
  width: 100%;
  /* max-width: 350px; */
}

.drop-down-menu [data-type="button"] {
  --icon-size: 20px;
  align-items: center;
  padding: 15px 15px;
  justify-content: space-between;
  gap: 10px;
  position: relative;
  z-index: 3;
  text-align: left;
  font-size: var(--label-font-size);
}

.drop-down-menu [data-type="menu"] {
  width: 100%;
  background-color: var(--menu-bg-color);
  -webkit-box-shadow: 0px 13px 31px -1px rgba(0, 0, 0, 0.3);
  box-shadow: 0px 13px 31px -1px rgba(0, 0, 0, 0.3);
  position: absolute;
  left: 0;
  top: 100%;
  width: 100%;
  height: auto;
  z-index: 300;
  opacity: 0;
  transform: translateY(20px);
  transition: 0.2s;
  visibility: hidden;
}

.drop-down-menu [data-type="item"] {
  padding: var(--item-padding);
  display: flex;
  align-items: center;
  line-height: 1.5;
  font-family: var(--kumbh-sans-regular);
  transition: 0.3s;
  cursor: pointer;
  color: var(--menu-text-color);
}

.drop-down-menu [data-type="item"]:hover,
.drop-down-menu [data-type="item"].active {
  background-color: var(--menu-active-bg);
  color: var(--menu-active-text);
}

.drop-down-menu [data-type="cover"] {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 10;
  display: none;
}

/* 活跃状态 */
.drop-down-menu.active [data-type="menu"] {
  opacity: 1;
  transform: translateY(0);
  visibility: visible;
}

.drop-down-menu.active [data-type="cover"] {
  display: block;
}

.drop-down-menu.active [data-type="button"] {
  background-color: var(--active-bg-color, transparent);
  border-color: var(--active-border-color, transparent);
  color: var(--active-text-color, #000);
}

.d-0909-input-item {
  --border-radius: 4px;
  width: 100%;
  text-align: left;

  
  .d-0909-input-label {
    display: block;
    margin-bottom: 10px;
    font-size: var(--label-font-size);
    color: var(--label-text-color);
  }
  input,
  select {
    width: 100%;
    padding: 15px 15px;
    font-size: var(--label-font-size);
    border-radius: var(--border-radius);
    border: none;
  }
  button {
    min-width: 100px;
    flex-shrink: 0;
    font-size: var(--label-font-size);
  }
}


@media only screen and (max-width: 767px) {
  .d-0909-input-item {
    width: 100%;
  }
}

#questionButton1,
#questionButton2,
#show0909contentWapper {
    transform: translateY(30px);
    opacity: 0;
}

#questionButton1.input-active,
#questionButton2.input-active,
#show0909contentWapper.input-active {
    animation: keyUp 0.3s ease-in-out 0.1s;
    animation-fill-mode: forwards;
}

@keyframes keyUp {
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}